SchedulerResource (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.state
Class SchedulerResource

    java.lang.Object
      org.gcube.common.core.utils.handlers.GCUBEServiceClientImpl
          org.gcube.common.core.state.GCUBEStatefulResource<org.gcube.common.core.state.GCUBEWSResourceKey>
              org.gcube.common.core.state.GCUBEWSResource
                  org.gcube.datatransfer.scheduler.impl.state.SchedulerResource

All Implemented Interfaces:
  org.gcube.common.core.utils.handlers.GCUBEServiceClient, org.globus.wsrf.PersistenceCallback, org.globus.wsrf.Resource, org.globus.wsrf.ResourceLifetime, org.globus.wsrf.ResourceProperties, org.globus.wsrf.TopicListAccessor

    public class SchedulerResource

extends org.gcube.common.core.state.GCUBEWSResource

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.state.GCUBEStatefulResource
`org.gcube.common.core.state.GCUBEStatefulResource.LOCK, org.gcube.common.core.state.GCUBEStatefulResource.TaskContext`

Field Summary

Fields inherited from class org.gcube.common.core.state.GCUBEStatefulResource
`uuidGen`

Constructor Summary
`SchedulerResource()`

Method Summary
`String[]` | `getActiveTransfers()`
`String` | `getCheckDBThread()`
`String` | `getName()`
`String` | `getNumOfActiveTransfers()`
`protected String[]` | `getPropertyNames()`
`void` | `initialise(Object... args)`
`void` | `setActiveTransfers(String[] array)`
`void` | `setCheckDBThread(String msg)`
`void` | `setName(String name)`
`void` | `setNumOfActiveTransfers(String msg)`

Methods inherited from class org.gcube.common.core.state.GCUBEWSResource
`getCurrentTime, getEPR, getPorttypeContext, getProperty, getPublisher, getResourcePropertySet, getServiceContext, getTerminationTime, getTopicList, getTopicNames, initialise, initialiseContainers, inScope, load, publish, setPortTypeContext, setTerminationTime, unpublish`

Methods inherited from class org.gcube.common.core.state.GCUBEStatefulResource
`getID, getLock, getScheduledTasks, getScope, launchTask, onRemove, setID, setPersistenceDelegate, stopTask, store`

Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEServiceClientImpl
`getPortTypeMap, setPortTypeMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.globus.wsrf.PersistenceCallback
`store`

Constructor Detail

### SchedulerResource

    public SchedulerResource()

Method Detail

### initialise

    public void initialise(Object... args)
                    throws Exception

  Specified by:
    `initialise` in class `org.gcube.common.core.state.GCUBEWSResource`
  Throws:
    `Exception`

### setName

    public void setName(String name)

### getName

    public String getName()

### setActiveTransfers

    public void setActiveTransfers(String[] array)

### getActiveTransfers

    public String[] getActiveTransfers()

### setNumOfActiveTransfers

    public void setNumOfActiveTransfers(String msg)

### getNumOfActiveTransfers

    public String getNumOfActiveTransfers()

### setCheckDBThread

    public void setCheckDBThread(String msg)

### getCheckDBThread

    public String getCheckDBThread()

### getPropertyNames

    protected String[] getPropertyNames()

  Overrides:
    `getPropertyNames` in class `org.gcube.common.core.state.GCUBEWSResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.